This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 502658 - (CVE-2009-1791) CVE-2009-1791 libsndfile AIFF file heap based buffer overflow
CVE-2009-1791 libsndfile AIFF file heap based buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
source=cve,impact=important,reported=...
: Security
Depends On: 502659 502660 502661 664600
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 15:25 EDT by Josh Bressers
Modified: 2016-03-04 07:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 10:37:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-05-26 15:25:37 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1791 to the following vulnerability:

Heap-based buffer overflow in aiff_read_header in libsndfile 1.0.15
through 1.0.19, as used in Winamp 5.552 and possibly other media
programs, allows remote attackers to cause a denial of service
(application crash) and possibly execute arbitrary code via an AIFF
file with an invalid header value.
Comment 2 Tomas Hoger 2009-06-08 11:12:59 EDT
Issue was fixed upstream in 1.0.20:
  http://www.mega-nerd.com/erikd/Blog/CodeHacking/libsndfile/rel_20.html

Upstream also created patches for few recent versions (1.0.15 - 1.0.19), fixing this issue and issue tracked via bug #502657.
Comment 3 Fedora Update System 2009-12-03 00:04:08 EST
libsndfile-1.0.20-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-12-03 00:07:04 EST
libsndfile-1.0.20-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Vincent Danen 2010-12-23 10:37:22 EST
I see that libsndfile-1.0.17-4.el5 is submitted to EPEL5 now, so closing.

Note You need to log in before you can comment on or make changes to this bug.